## r-bioc-spatialexperiment 1.14.0+ds

=== DESCRIPTION ===
Package: SpatialExperiment
Version: 1.14.0
Title: S4 Class for Spatially Resolved -omics Data
Description: Defines an S4 class for storing data from spatial -omics experiments. 
    The class extends SingleCellExperiment to 
    support storage and retrieval of additional information from spot-based and 
    molecule-based platforms, including spatial coordinates, images, and 
    image metadata. A specialized constructor function is included for data 
    from the 10x Genomics Visium platform.
Authors@R: c(
    person("Dario", "Righelli", role=c("aut", "cre"), 
        email="dario.righelli@gmail.com"), 
    person("Davide", "Risso", role=c("aut"), 
        email="risso.davide@gmail.com"), 
    person("Helena L.", "Crowell", role=c("aut"), 
        email="helena.crowell@uzh.ch"), 
    person("Lukas M.", "Weber", role=c("aut"), 
        email="lukas.weber.edu@gmail.com"),
    person("Nicholas J.", "Eagles", role=c("ctb"),
        email="nickeagles77@gmail.com"))
URL: https://github.com/drighelli/SpatialExperiment
BugReports: https://github.com/drighelli/SpatialExperiment/issues
License: GPL-3
Encoding: UTF-8
biocViews: DataRepresentation, DataImport, Infrastructure,
        ImmunoOncology, GeneExpression, Transcriptomics, SingleCell,
        Spatial
Depends: methods, SingleCellExperiment
Imports: rjson, grDevices, magick, utils, S4Vectors,
        SummarizedExperiment, BiocGenerics, BiocFileCache
Suggests: knitr, rmarkdown, testthat, BiocStyle, BumpyMatrix,
        DropletUtils
VignetteBuilder: knitr
RoxygenNote: 7.2.3
git_url: https://git.bioconductor.org/packages/SpatialExperiment
git_branch: RELEASE_3_19
git_last_commit: 24e181e
git_last_commit_date: 2024-04-30
Repository: Bioconductor 3.19
Date/Publication: 2024-05-01
NeedsCompilation: no
Packaged: 2024-05-01 23:33:31 UTC; biocbuild
Author: Dario Righelli [aut, cre],
  Davide Risso [aut],
  Helena L. Crowell [aut],
  Lukas M. Weber [aut],
  Nicholas J. Eagles [ctb]
Maintainer: Dario Righelli <dario.righelli@gmail.com>

=== debian/changelog ===
r-bioc-spatialexperiment (1.14.0+ds-2) unstable; urgency=medium

  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 18 Aug 2024 12:13:48 +0200

r-bioc-spatialexperiment (1.14.0+ds-2~0exp1) experimental; urgency=medium

  * d/{,tests/}control: bump minimum versions of r-bioc-* packages to
    bioc-3.19+ versions

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 23 Jul 2024 13:20:10 +0200

r-bioc-spatialexperiment (1.14.0+ds-2~0exp0) experimental; urgency=medium

  * autopkgtests: add more dependencies and skip architectures where all of
    the dependencies are unavailable

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 20 Jul 2024 12:57:50 +0200

r-bioc-spatialexperiment (1.14.0+ds-1) experimental; urgency=medium

  * Initial release (closes: #1076092)

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 10 Jul 2024 12:42:48 +0200

=== debian/control ===
Source: r-bioc-spatialexperiment
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Michael R. Crusoe <crusoe@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-spatialexperiment
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-spatialexperiment.git
Homepage: https://bioconductor.org/packages/SpatialExperiment
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-singlecellexperiment (>= 1.26.0),
               r-cran-rjson,
               r-cran-magick,
               r-bioc-s4vectors (>= 0.42.1),
               r-bioc-summarizedexperiment (>= 1.34.0),
               r-bioc-biocgenerics (>= 0.50.0),
               r-bioc-biocfilecache (>= 2.12.0)
Testsuite: autopkgtest-pkg-r

Package: r-bioc-spatialexperiment
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends},
         r-bioc-singlecellexperiment (>= 1.26.0),
         r-bioc-s4vectors (>= 0.42.1),
         r-bioc-summarizedexperiment (>= 1.34.0),
         r-bioc-biocgenerics (>= 0.50.0),
         r-bioc-biocfilecache (>= 2.12.0)
Recommends: ${R:Recommends}
Suggests: ${R:Suggests},
          r-bioc-biocstyle (>= 2.32.1),
          r-bioc-dropletutils (>= 1.24.0)
Description: S4 Class for Spatially Resolved -omics Data
 Defines an S4 class for storing data from spatial -omics experiments.
 The class extends SingleCellExperiment to
 support storage and retrieval of additional information from spot-based and
 molecule-based platforms, including spatial coordinates, images, and
 image metadata. A specialized constructor function is included for data
 from the 10x Genomics Visium platform.

## r-bioc-spatialexperiment 1.16.0%2Bds

=== debian/changelog ===
r-bioc-spatialexperiment (1.16.0+ds-2) unstable; urgency=medium

  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 13 Jan 2025 15:35:56 +0100

r-bioc-spatialexperiment (1.16.0+ds-1) experimental; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  Trim trailing whitespace.
  * debian/upstream: added metadata

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 29 Nov 2024 12:36:23 +0100

## r-bioc-spatialexperiment 1.16.0+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: SpatialExperiment
-Version: 1.14.0
+Version: 1.16.0
 Title: S4 Class for Spatially Resolved -omics Data
 Description: Defines an S4 class for storing data from spatial -omics experiments. 
     The class extends SingleCellExperiment to 
@@ -33,13 +33,13 @@
 VignetteBuilder: knitr
 RoxygenNote: 7.2.3
 git_url: https://git.bioconductor.org/packages/SpatialExperiment
-git_branch: RELEASE_3_19
-git_last_commit: 24e181e
-git_last_commit_date: 2024-04-30
-Repository: Bioconductor 3.19
-Date/Publication: 2024-05-01
+git_branch: RELEASE_3_20
+git_last_commit: 8798cb0
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
 NeedsCompilation: no
-Packaged: 2024-05-01 23:33:31 UTC; biocbuild
+Packaged: 2024-10-30 02:59:07 UTC; biocbuild
 Author: Dario Righelli [aut, cre],
   Davide Risso [aut],
   Helena L. Crowell [aut],

=== debian/control ===
Source: r-bioc-spatialexperiment
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Michael R. Crusoe <crusoe@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-spatialexperiment
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-spatialexperiment.git
Homepage: https://bioconductor.org/packages/SpatialExperiment
Standards-Version: 4.7.0
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-singlecellexperiment,
               r-cran-rjson,
               r-cran-magick,
               r-bioc-s4vectors,
               r-bioc-summarizedexperiment,
               r-bioc-biocgenerics,
               r-bioc-biocfilecache
Testsuite: autopkgtest-pkg-r

Package: r-bioc-spatialexperiment
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: S4 Class for Spatially Resolved -omics Data
 Defines an S4 class for storing data from spatial -omics experiments.
 The class extends SingleCellExperiment to
 support storage and retrieval of additional information from spot-based and
 molecule-based platforms, including spatial coordinates, images, and
 image metadata. A specialized constructor function is included for data
 from the 10x Genomics Visium platform.

=== debian/watch ===
version=4
opts=repacksuffix=+ds,dversionmangle=auto,repack,compression=xz,downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc? \
https://bioconductor.org/packages/release/bioc/html/SpatialExperiment.html .*/SpatialExperiment_(.*).tar.gz
